Add public holidays for Lower Saxony (Germany)
ClosedPublic

Authored by mmustac on Apr 15 2019, 12:02 PM.

Details

Summary

A holiday file for the federal state of Lower Saxony (Niedersachsen) was missing yet.
Since the end of last year one additional public holiday was added so the general german holiday file is not suitable anymore.

Diff Detail

Repository
R175 PIM: KHolidays
Lint
Lint Skipped
Unit
Unit Tests Skipped
mmustac created this revision.Apr 15 2019, 12:02 PM
Restricted Application added a project: KDE PIM. · View Herald TranscriptApr 15 2019, 12:02 PM
Restricted Application added a subscriber: kde-pim. · View Herald Transcript
mmustac requested review of this revision.Apr 15 2019, 12:02 PM
nhiga added a subscriber: nhiga.Apr 16 2019, 2:54 AM

Thank you for the patch. Could you please fix the indentation at Line 44 (<file>plan2/holiday_de-ns_de</file>) and add a newline at the end of the file holidays/plan2/holiday_de-ns_de?

mmustac updated this revision to Diff 56344.Apr 16 2019, 6:11 AM

Adjustments to formatting.

dvratil accepted this revision.Apr 16 2019, 12:23 PM
dvratil added a subscriber: dvratil.

The format looks good, I trust you checked the dates carefully.

This revision is now accepted and ready to land.Apr 16 2019, 12:23 PM
mmustac updated this revision to Diff 56421.Apr 17 2019, 8:28 AM

Only changed the abbreviation from "ns" to ni" like it is on Wikipedia.
I've checked the holidays carefully and would be grateful if you could commit this patch than you think it's okay, because I do not have the access to. Thanks.

This revision was automatically updated to reflect the committed changes.